#
# spec file for package libodraw
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libodraw
%define lname	libodraw1
%define timestamp 20150105
Version:        0~%timestamp
Release:        bp153.1.15
Summary:        Library and tools to access to optical disc (split) RAW image files
License:        LGPL-3.0+ and GFDL-1.3+
Group:          Productivity/File utilities
Url:            https://github.com/libyal/libodraw/wiki 
Source:         https://github.com/libyal/libodraw/releases/download/%timestamp/%name-alpha-%timestamp.tar.gz
Source2:        CUE_sheet_format.pdf
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libbfio) >= 20120426
BuildRequires:  pkgconfig(libcdata) >= 20120425
BuildRequires:  pkgconfig(libcfile) >= 20120526
BuildRequires:  pkgconfig(libclocale) >= 20140105
BuildRequires:  pkgconfig(libcnotify) >= 20120425
BuildRequires:  pkgconfig(libcpath) >= 20120701
BuildRequires:  pkgconfig(libcsplit) >= 20120701
BuildRequires:  pkgconfig(libcthreads)
BuildRequires:  pkgconfig(libuna) >= 20120425
#use internal package, factory version causes build failure
# verified 1/11/2015
#BuildRequires:  pkgconfig(libcsystem) >= 20120425
#BuildRequires:  pkgconfig(libcerror) >= 20120425
#BuildRequires:  pkgconfig(libcstring) >= 20120425
#BuildRequires:  pkgconfig(libhmac)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libodraw is a library to access optical disc (split) RAW images such
as BIN/ISO/CUE.

%package -n %lname
Summary:        Library to access to optical disc (split) RAW image files
License:        LGPL-3.0+
Group:          System/Libraries

%description -n %lname
libodraw is a library to access optical disc (split) RAW images such
as BIN/ISO/CUE.

%package devel
Summary:        Development files for libodraw, a disc image file library
License:        LGPL-3.0+ and GFDL-1.3+
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libodraw is a library to access optical disc (split) RAW images such
as BIN/ISO/CUE.

This subpackage contains libraries and header files for developing
applications that want to make use of libodraw.

%package tools
Summary:        Utilities for reading BIN/ISO/CUE image files through libodraw
License:        LGPL-3.0+
Group:          Productivity/File utilities
Requires:       %lname = %version

%description tools
This subpackage contains the utility programs from libodraw, which
can read optical disc (split) RAW image files such as BIN/ISO/CUE.

%prep
%setup -qn libodraw-%timestamp
cp "%{S:2}" .

%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_libdir/libodraw.so.1*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%doc CUE_*.pdf
%_includedir/libodraw*
%_libdir/libodraw.so
%_libdir/pkgconfig/libodraw.pc
%_mandir/man3/libodraw.3*

%files tools
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_bindir/odrawverify
%_bindir/odrawinfo
%_mandir/man1/odrawinfo.1*

%changelog
* Mon Jan 12 2015 Greg.Freemyer@gmail.com
- update to 0~20150105
  * 2015 refresh - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- remove %%if opensuse logic.  Not needed with libyal in security:forensics
* Fri Aug 22 2014 Greg.Freemyer@gmail.com
- add missing BuildRequires to allow use of external packages
  [#]BuildRequires:  pkgconfig(libcthreads)
- add %%doc to all sub-packages
- add Requires to tools sub-package to ensure library is the same version
- fix %%if logic to allow opensuse 12.3 builds
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
-  updated to 0~20140731
  * updated dependencies
  * 2014 update
  * added odrawverify
  * added verification test
  * removed examples
  * worked on tests
  * added support for codepage 949, 950 and 1255
  * code clean up
- use external libyal packages where appropriate
* Thu Aug  1 2013 Greg.Freemyer@gmail.com
- update DL-URL
- change to gz compression to simplyfy download/convert
* Fri Apr  5 2013 jengelh@inai.de
- Initial package (version 0~20120923) for build.opensuse.org
